Name:      kdesvn
Version:   0.11.2
Release:   alt1

Summary:   A subversion client for the KDE with KIO integration.
Summary(ru_RU.UTF-8): Клиент subversion для KDE с интеграцией в KIO

License:   LGPL
Url:       http://www.alwins-world.de/wiki/programs/kdesvn
# There should be a better place
Group:     Development/Other

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source:    %name-%version.tar.bz2

Patch:     %name-0.11.0-alt-link-fixes.patch

BuildPreReq: cmake
BuildPreReq: gcc-c++ kdelibs-devel libsubversion-devel xml-utils

%description
Kdesvn is a subversion client for KDE.
It may used as standalone application or plugin (KPart). Base functions are provided
via a KIO protocol, too.

%description -l ru_RU.UTF-8
Kdesvn - это клиент subversion для KDE.
Он может быть использован в качестве самостоятельного приложения или как модуль (KPart).
Основные функции доступны также через протокол KIO

%package kiosvn
Group:    Development/Other
Summary:  A kde-kio integration for subversion based on kdesvn
Summary(ru_RU.UTF-8): Построенная на Kdesvn интеграция с kde-kio
Requires: kdesvn = %version

%description kiosvn
KIO integration (KIO::svn) based on kdesvn alternative protocol name.

%description -l ru_RU.UTF-8 kiosvn
Интеграция c KIO (KIO::svn)

%package -n libsvnqt
Group: System/Libraries
Summary: Wrapper lib for subversion QT integration.
Summary(ru_RU.UTF-8): Библиотека-обертка для работы с subversion из приложений Qt
%description -n libsvnqt
Shared lib which contains a QT C++ wrapper for subversion. It is core part
of kdesvn but is designed to not require KDE so plain QT programs may use
it.

%description -l ru_RU.UTF-8 -n libsvnqt
Разделяемая библиотека-обертка для работы с subversion из программ Qt/C++.
Библиотека является ядром kdesvn, но сама по себе она не требует KDE и
может быть использована в любом Qt приложении.

%package -n libsvnqt-devel
Group:    Development/C++
Summary:  Wrapper lib for subversion QT integration.
Requires: libsvnqt = %version

%description -n libsvnqt-devel
Development files for libsvnqt

%prep
%setup
%patch -p1

mkdir build
cd build
cmake ../ \
        -DCMAKE_INSTALL_PREFIX=`kde-config --prefix` \
%ifarch x86_64
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_SKIP_RPATH=YES

%build
cd build
%make_build

%install
pushd build
%makeinstall DESTDIR=%buildroot
popd

%find_lang --with-kde %name

%files -f %name.lang
%_bindir/kdesvn
%_bindir/kdesvnaskpass

%_man1dir/kdesvn.1*
%_man1dir/kdesvnaskpass.1*

%_Kmenudir/kdesvn.desktop

%_Kapps/kdesvn
%_Kapps/konqueror/servicemenus/*.desktop

# kio_ksvn
%_libkde/kio_ksvn.*
%_Kservices/ksvn*.protocol

# kdesvnd
%_libkde/kded_kdesvnd.*
%_Kservices/kded/kdesvnd.desktop

# kdesvnpart
%_Kapps/kdesvnpart
%_libkde/libkdesvnpart.*
%_Kcfg/kdesvn_part.kcfg

# icons
%_iconsdir/*/*/*/*.png
%_iconsdir/*/*/*/*.svgz

%files kiosvn
%_Kservices/svn*.protocol

%files -n libsvnqt
%_libdir/libsvnqt.so.*

%files -n libsvnqt-devel
%_libdir/libsvnqt.so
%_includedir/svnqt

%changelog
* Wed Mar 28 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.2-alt1
- 0.11.2

* Mon Mar 19 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.1-alt1
- 0.11.1
- fix x86_64 (#10957, peet@)
- fix buildreqs

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt3
- rewrite buildreqs

* Sun Dec 17 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt2.1
- BuildPreReq: s/libneon-devel/libneon0.25-devel/

* Tue Dec 12 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.11.0-alt2
- Sisyphus build
- spec cleanup
- reworked link fixes patch

* Fri Dec  8 2006 Alexey Morozov <morozov@altlinux.org> 0.11.0-alt1
- New version (0.11.0)
- Dropped kdesvn-0.8.5-alt-compile_final.patch (#0) since cmake
  build system doesn't support final compilation for libraries
  (although KDE3_ENABLE_FINAL option does exist)
- Added kdesvn-0.11.0-alt-build_fixes.patch (#0) to be able to compile
  it against ALT libapr

* Mon Sep 18 2006 Alexey Morozov <morozov@altlinux.org> 0.9.3-alt1
- new version (0.9.3)

* Thu Jun 29 2006 Alexey Morozov <morozov@altlinux.org> 0.8.5-alt1
- New version (0.8.5)
- added patch kdesvn-0.8.5-alt-compile_final.patch to be cleanly
  compile with 'final' enabled

* Mon May 15 2006 Alexey Morozov <morozov@altlinux.org> 0.8.3-alt2
- Added proper libsvnqt subpackage
- Added previously missing files kio_ksvn files
- Added xml-utils build requirement

* Fri May 12 2006 Alexey Morozov <morozov@altlinux.org> 0.8.3-alt1
- new version (0.8.3)

* Fri Apr 14 2006 Alexey Morozov <morozov@altlinux.org> 0.8.1-alt1
- New version (0.8.1)

* Tue Mar 28 2006 Alexey Morozov <morozov@altlinux.org> 0.8.0-alt1
- Initial build for ALT Linux (spec is based on Rajko Albrecht's
  <ral@alwins-world.de> original spec)

